Subject: dired-do-shell-command " *" vs. "*", too close for comfort

From: [email-masked]
Date: Sun, 04 Jul 2010 10:11:04 +0800

Gee, a little slip of the wrist,
(dired-do-shell-command "head -c 999 * |sum" nil (quote ("FlashXXV9Z9sz")))
(dired-do-shell-command "head -c 999 *|sum" nil (quote ("FlashXXV9Z9sz")))
and it goes and gets every file in the directory.

Yes I know it is all well documented, but I can't think of any computer
language where such a tiny difference can make such a big difference.

I don't have an exact solution. All I know is it will bite the reader
sooner or later.